%define module	Image-Size
%define name	perl-%{module}
%define version 3.1.1
%define release %mkrel 2
%define epoch	1

Name: 		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		%{epoch}
Summary:	Read the dimensions of an image in several popular formats
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/Image/%{module}-%{version}.tar.bz2
BuildRequires:	perl(Compress::Zlib)
BuildRequires:	perl(Module::Build)
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Image::Size is a library based on the image-sizing code in the wwwimagesize
script, a tool that analyzes HTML files and adds HEIGHT and WIDTH tags to
IMG directives.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%clean 
rm -rf %{buildroot}

%install
rm -rf %{buildroot}
./Build install destdir=%{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/Image
%{perl_vendorlib}/auto/Image



%changelog
* Wed Jun 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 1:3.1.1-2mdv2009.0
+ Revision: 223794
- rebuild

* Wed Feb 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1:3.1.1-1mdv2008.1
+ Revision: 173293
- update to new version 3.1.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jul 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1:3.01-1mdv2008.0
+ Revision: 48726
- switch to Module::Build

  + Olivier Thauvin <nanardon@mandriva.org>
    - buildrequires
    - 3.01


* Mon Jul 17 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 1:3.0-2
- add BuildRequires: perl-Compress-Zlib

* Fri Jun 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1:3.0-1mdv2007.0
- new version
- rpmbuildupdate aware
- spec cleanup
- better summary

* Tue Jan 18 2005 Abel Cheung <deaddog@mandrake.org> 2.992-3mdk
- rebuild

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.992-2mdk
- rebuild for new perl
- use %%makeinstall_std macro

* Mon Jul 21 2003 Franois Pons <fpons@mandrakesoft.com> 2.992-1mdk
- 2.992.

